<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se pudo Cerrar la Reserva';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession()
    && (
        // Varios::hasModuleActionAccess(10, 5)
        // || Varios::hasModuleActionAccess(10, 7)
        true
    )
) {
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');
	// Variables recibidas correctamente, sanitizamos las  variables
	$txt_reseIdCod 		= filter_var($_POST["md_modal_reservaCerrar_txt_id"], FILTER_SANITIZE_STRING);
	$txt_reseId 		= filter_var( Varios::decodifica($txt_reseIdCod), FILTER_SANITIZE_NUMBER_INT);
	$txt_motivo 		= filter_var($_POST["md_modal_reservaCerrar_txt_justificacion"], FILTER_SANITIZE_STRING);
    
    $id_usuario 		= Varios::decodifica($_SESSION[_SYSTEM_SESIONID.'userId']);
    
    $opcionesCantidad 	   = filter_var( $_POST['md_modal_reservaCerrar_txt_cantidadOpciones'], FILTER_SANITIZE_NUMBER_INT);
    $opcionesSeleccionada  = '';
    for ($i=0; $i <= $opcionesCantidad; $i++) { 
        if( isset($_POST['chb_calificacion_'.$i])) {
            $opcionesValor = filter_var( $_POST['chb_calificacion_'.$i], FILTER_SANITIZE_NUMBER_INT);
            if( $i ==  1) {
                $opcionesSeleccionada  = $opcionesValor;
            } else {
                $opcionesSeleccionada  .= ', '.$opcionesValor;
            }
        }
    }

	if( strlen(trim($txt_motivo)) == 0) {
        $mensaje = 'Debe ingresar la justificación';
    } else if( strlen($opcionesSeleccionada) == 0 ) {
        $mensaje = 'Debe seleccionar una opción para calificar el Cierre';
    } else {
       // $mensaje = $opcionesSeleccionada;
        
        require_once($_SERVER['DOCUMENT_ROOT'].'/clases/gestionReserva.Class.php');
        $reserva_obj 		= new gestionReserva(null);
        $reserva_resultado  = $reserva_obj->cerrarReserva($txt_reseId, $txt_motivo, $id_usuario, $opcionesSeleccionada);
        $mensaje 		    = $reserva_resultado['mensaje'];
        if($reserva_resultado['resultado'] > 0) {
            $correcto 	= true;
        }
        $reserva_obj->Close();
   
    }

}

$data = array('success' => $correcto, 'mensaje' => $mensaje, 'sesion' => $sesion );
echo json_encode($data);
?>